Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.jdbc
Class JDBCEventConnectionDecorator

    java.lang.Object
      org.apache.openjpa.lib.util.concurrent.AbstractConcurrentEventManager
          org.apache.openjpa.lib.jdbc.JDBCEventConnectionDecorator

All Implemented Interfaces:
  Serializable, ConnectionDecorator, EventManager

    public class JDBCEventConnectionDecorator

extends AbstractConcurrentEventManager
implements ConnectionDecorator

Manages the firing of `JDBCEvent`s.

Author:
  Abe White
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.openjpa.lib.util.concurrent.AbstractConcurrentEventManager
`_listeners`

Constructor Summary
`JDBCEventConnectionDecorator()`

Method Summary
`Connection` | `decorate(Connection conn)` Decorate the given connection if desired.
`protected void` | `fireEvent(Object event, Object listener)` Fire the given event to all listeners.

Methods inherited from class org.apache.openjpa.lib.util.concurrent.AbstractConcurrentEventManager
`addListener, fireEvent, getListeners, hasListener, hasListeners, isFailFast, newListenerCollection, removeListener, setFailFast`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCEventConnectionDecorator

    public JDBCEventConnectionDecorator()

Method Detail

### decorate

    public Connection decorate(Connection conn)

  Description copied from interface: `ConnectionDecorator`
  Decorate the given connection if desired.

  Specified by:
    `decorate` in interface `ConnectionDecorator`

### fireEvent

    protected void fireEvent(Object event,
                             Object listener)

  Fire the given event to all listeners.

  Specified by:
    `fireEvent` in class `AbstractConcurrentEventManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.